/*************************************************************************

         name: runningLambda.pl
      version: July, 2003
  description: Driver predicate for implementation of lambda-based semantic construction
      authors: Stephan Walter, Aljoscha Burchardt
*************************************************************************/


:- module(runningLambda,[go/0]).
:- use_module(signature,[resetVars/0,vars2atoms/1]).
:- use_module(betaConversion,[betaConvert/2]).
:- use_module(readLine,[readLine/1]).

:- [semanticDCG].
:- [user:comsemOperators].

/*========================================================================
   Driver Predicates
========================================================================*/

go :-
	readLine(Sentence),
	resetVars,
	s(Formula,Sentence,[]),
	nl, print(Formula),
	betaConvert(Formula,Converted),
	nl, print(Converted).


